org.eclipse.cdt.utils.coff

## Class PE

- java.lang.Object
- - org.eclipse.cdt.utils.coff.PE

Deprecated.
Deprecated as of CDT 6.9. Use 64 bit version `PE64`. This class is planned for removal in next major release.

    @Deprecated
    public class PE
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PE.Attribute` Deprecated.
`static class` `PE.DOSHeader` Deprecated.
`static class` `PE.IMAGE_DATA_DIRECTORY` Deprecated.
`static class` `PE.IMAGE_DEBUG_DIRECTORY` Deprecated.
`class` `PE.ImageDataDirectory` Deprecated.
`class` `PE.ImportDirectoryEntry` Deprecated.
`static class` `PE.NTOptionalHeader` Deprecated.

### Field Summary

Fields
`static String` `NL` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`PE(String filename)` Deprecated.
`PE(String filename, long pos)` Deprecated.
`PE(String filename, long pos, boolean filter)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `dispose()` Deprecated.
`protected void` `finalize()` Deprecated.
`PE.Attribute` `getAttribute()` Deprecated.
`static PE.Attribute` `getAttribute(byte[] data)` Deprecated.
`static PE.Attribute` `getAttribute(String file)` Deprecated.
`static PE.Attribute` `getAttributes(Coff.FileHeader filhdr)` Deprecated.
`PE.DOSHeader` `getDOSHeader()` Deprecated.
`Exe.ExeHeader` `getExeHeader()` Deprecated.
`Coff.FileHeader` `getFileHeader()` Deprecated.
`String` `getFilename()` Deprecated.
`PE.ImageDataDirectory[]` `getImageDataDirectories()` Deprecated.
`PE.NTOptionalHeader` `getNTOptionalHeader()` Deprecated.
`Coff.OptionalHeader` `getOptionalHeader()` Deprecated.
`Coff.SectionHeader[]` `getSectionHeaders()` Deprecated.
`byte[]` `getStringTable()` Deprecated.
`String` `getStringTableEntry(int offset)` Deprecated.
`ISymbolReader` `getSymbolReader()` Deprecated.
`Coff.Symbol[]` `getSymbols()` Deprecated.
`static boolean` `isExeHeader(byte[] e_signature)` Deprecated.
`static boolean` `isValidMachine(int magic)` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NL

    public static final String NL

Deprecated.

### Constructor Detail

#### PE

    public PE(String filename)
       throws IOException

Deprecated.

Throws:
  `IOException`

#### PE

    public PE(String filename,
              long pos)
       throws IOException

Deprecated.

Throws:
  `IOException`

#### PE

    public PE(String filename,
              long pos,
              boolean filter)
       throws IOException

Deprecated.

Throws:
  `IOException`

### Method Detail

#### isValidMachine

    public static boolean isValidMachine(int magic)

Deprecated.

#### getAttributes

    public static PE.Attribute getAttributes(Coff.FileHeader filhdr)

Deprecated.

#### isExeHeader

    public static boolean isExeHeader(byte[] e_signature)

Deprecated.

#### getAttribute

    public PE.Attribute getAttribute()
                              throws IOException

Deprecated.

Throws:
  `IOException`

#### getAttribute

    public static PE.Attribute getAttribute(byte[] data)
                                     throws IOException

Deprecated.

Throws:
  `IOException`

#### getAttribute

    public static PE.Attribute getAttribute(String file)
                                     throws IOException

Deprecated.

Throws:
  `IOException`

#### dispose

    public void dispose()
                 throws IOException

Deprecated.

Throws:
  `IOException`

#### finalize

    protected void finalize()
                     throws Throwable

Deprecated.

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`

#### getExeHeader

    public Exe.ExeHeader getExeHeader()

Deprecated.

#### getDOSHeader

    public PE.DOSHeader getDOSHeader()

Deprecated.

#### getFileHeader

    public Coff.FileHeader getFileHeader()

Deprecated.

#### getOptionalHeader

    public Coff.OptionalHeader getOptionalHeader()

Deprecated.

#### getNTOptionalHeader

    public PE.NTOptionalHeader getNTOptionalHeader()

Deprecated.

#### getImageDataDirectories

    public PE.ImageDataDirectory[] getImageDataDirectories()
                                                    throws IOException

Deprecated.

Throws:
  `IOException`

#### getSectionHeaders

    public Coff.SectionHeader[] getSectionHeaders()
                                           throws IOException

Deprecated.

Throws:
  `IOException`

#### getSymbols

    public Coff.Symbol[] getSymbols()
                             throws IOException

Deprecated.

Throws:
  `IOException`

#### getStringTable

    public byte[] getStringTable()
                          throws IOException

Deprecated.

Throws:
  `IOException`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

#### getSymbolReader

    public ISymbolReader getSymbolReader()

Deprecated.

#### getStringTableEntry

    public String getStringTableEntry(int offset)
                               throws IOException

Deprecated.

Throws:
  `IOException`
Since:
  5.1

#### getFilename

    public String getFilename()

Deprecated.

Since:
  5.1